Microsoft.Build.Framework 2.0.0.0 To be added.

Provides a way for task authors to use a subset of the functionality of the vstecmsbuild engine.

- Method
  System.Boolean `` `` `` ``

  The , , and parameters can be null.

  If no targets are specified, vstecmsbuild builds the default targets of the project.

  Target outputs are returned as arrays indexed by target name.

  Initiates a build of a project file. If the build is successful, the outputs, if any, of the specified targets are returned.

  true if the build was successful; otherwise, false.

  The name of the project file to build. The names of the target in the project to build. Separate multiple targets with a semicolon (;). An of additional global properties to apply to the project. The key and value must be String data types. The outputs of each specified target. 2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the line number of the task node within the project file that called it.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Returns true if the ContinueOnError flag was set to true for this particular task in the project file.

  2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the line number of the task node within the project file that called it.

  2.0.0.0
- Method
  System.Void `` To be added.

  Raises a custom event to all registered loggers.

  The event data. 2.0.0.0
- Method
  System.Void `` To be added.

  Raises an error event to all registered loggers.

  The event data. 2.0.0.0
- Method
  System.Void `` To be added.

  Raises a message event to all registered loggers.

  The event data. 2.0.0.0
- Method
  System.Void `` To be added.

  Raises a warning event to all registered loggers.

  The event data. 2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the full path to the project file that contained the call to this task.

  2.0.0.0